petsc-3.12.4 2020-02-04
Report Typos and Errors

# PetscHMapTGet

Get the value for a key in the hash table

### Synopsis

    #include <petsc/private/hashmap.h>
    PetscErrorCode PetscHMapTGet(PetscHMapT ht,KeyType key,ValType *val)

### Input Parameters

| ht | - The hash table
| key | - The key

### Output Parameter

val -The value

### See Also

PetscHMapTSet(), PetscHMapTIterGet()

### Level

developer

### Location

include/petsc/private/hashmap.h
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages